## libxdf 0.99+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)

project(libxdf)

set(SOURCES
    xdf.h
    xdf.cpp
    pugixml/pugiconfig.hpp
    pugixml/pugixml.hpp
    pugixml/pugixml.cpp
    smarc/filtering.h
    smarc/filtering.c
    smarc/multi_stage.h
    smarc/multi_stage.c
    smarc/polyfilt.h
    smarc/polyfilt.c
    smarc/remez_lp.h
    smarc/remez_lp.c
    smarc/smarc.h
    smarc/smarc.c
    smarc/stage_impl.h
    smarc/stage_impl.c
)

add_library(xdf-static STATIC ${SOURCES})
add_library(xdf-shared SHARED ${SOURCES})

set_property(TARGET xdf-static xdf-shared PROPERTY CXX_STANDARD 11)
set_property(TARGET xdf-static xdf-shared PROPERTY C_STANDARD 99)
set_target_properties(xdf-static PROPERTIES OUTPUT_NAME xdf)
set_target_properties(xdf-shared PROPERTIES OUTPUT_NAME xdf)

## libxdf 0.98+dfsg

=== debian/changelog ===
libxdf (0.98+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #919474)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Jan 2019 13:14:23 +0100

=== debian/control ===
Source: libxdf
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               cmake,
               d-shlibs,
               libpugixml-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/libxdf
Vcs-Git: https://salsa.debian.org/med-team/libxdf.git
Homepage: https://github.com/Yida-Lin/libxdf

Package: libxdf0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for loading XDF files
 Libxdf is a cross-platform C++ library for loading multimodal, multi-
 rate signals stored in XDF files. Libxdf is used in the biosignal
 viewing application SigViewer. It can also be integrated into other C++
 applications.

Package: libxdf-dev
Architecture: any
Section: libdevel
Depends: libxdf0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for loading XDF files (headers and static lib)
 Libxdf is a cross-platform C++ library for loading multimodal, multi-
 rate signals stored in XDF files. Libxdf is used in the biosignal
 viewing application SigViewer. It can also be integrated into other C++
 applications.
 .
 This package contains the header files and the static library

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/Yida-Lin/libxdf/releases/latest .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## libxdf 0.99+dfsg

=== debian/changelog ===
libxdf (0.99+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:40 +0100

libxdf (0.99+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 14:10:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                d-shlibs,
                libpugixml-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/libxdf
 Vcs-Git: https://salsa.debian.org/med-team/libxdf.git
 Homepage: https://github.com/Yida-Lin/libxdf

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --movedev *.h usr/include \
		    obj*/*.so

## libxdf 0.99.6+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)

project(libxdf
        VERSION 0.99.6
        DESCRIPTION "C++ library for loading multimodal, multi-rate signals stored in XDF files."
        HOMEPAGE_URL https://xdf-modules.github.io/libxdf/)

option(XDF_NO_SYSTEM_PUGIXML "Force use of bundled pugixml" OFF)

set(SOURCES
    xdf.h
    xdf.cpp
    smarc/filtering.h
    smarc/filtering.c
    smarc/multi_stage.h
    smarc/multi_stage.c
    smarc/polyfilt.h
    smarc/polyfilt.c
    smarc/remez_lp.h
    smarc/remez_lp.c
    smarc/smarc.h
    smarc/smarc.c
    smarc/stage_impl.h
    smarc/stage_impl.c
)

add_library(xdf ${SOURCES})

find_package(pugixml 1.9 QUIET)
if(TARGET pugixml AND NOT XDF_NO_SYSTEM_PUGIXML)
	message(STATUS "Using system pugixml")
	target_link_libraries(xdf PRIVATE pugixml)
else()
	message(STATUS "Using bundled pugixml")
	target_sources(xdf PRIVATE pugixml/pugixml.cpp)
	target_include_directories(xdf PRIVATE pugixml)
endif()

target_compile_features(xdf PUBLIC cxx_std_11)
set_target_properties(xdf PROPERTIES OUTPUT_NAME xdf PUBLIC_HEADER xdf.h)
target_include_directories(xdf PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>
	$<INSTALL_INTERFACE:include>
)
include(GNUInstallDirs)
install(TARGETS xdf
	EXPORT "${PROJECT_NAME}Config"
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
install(EXPORT "${PROJECT_NAME}Config"
	COMPONENT ${PROJECT_NAME}
	NAMESPACE "XDF::"
	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}
)

# set(CPACK_STRIP_FILES ON)
# set(CPACK_ARCHIVE_COMPONENT_INSTALL ON)
set(CPACK_PACKAGE_CONTACT "yl3842@columbia.edu")
if(APPLE)
    set(CPACK_GENERATOR TBZ2)
elseif(WIN32)
    set(CPACK_GENERATOR ZIP)
elseif(UNIX)
    set(CPACK_GENERATOR DEB)
    set(CPACK_DEBIAN_LIBLSL_PACKAGE_SHLIBDEPS ON)
    set(CPACK_DEBIAN_PACKAGE_GENERATE_SHLIBS ON)
endif()
include(CPack)

=== debian/changelog ===
libxdf (0.99.6+dfsg-3) unstable; urgency=medium

  * Team upload
  * d/patches:
    - Update shared_and_static.patch to fix undefined references to pugixml.
      Closes: 977953.
    - Delete inactive files soversion.patch and
      use_debian_packaged_pugixml.patch. They have been obsoleted by
      shared_and_static.patch since 0.99.6+dfsg-1.
    - Add cmake_config_file.patch to install CMake config files in a multiarch
      location.
  * With the new patch, cmake files and headers do not need renaming.
    Handle them in d/libxdf-dev.install instead of d/rules.
  * d/control: add Multi-Arch: same to both binary packages.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 05 Jan 2021 14:24:12 +0200

libxdf (0.99.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: Fix build/host confusion. (Closes: #977817)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 20 Dec 2020 23:04:31 +0100

libxdf (0.99.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 18 Dec 2020 21:32:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                d-shlibs,
                libpugixml-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/libxdf
 Vcs-Git: https://salsa.debian.org/med-team/libxdf.git
 Homepage: https://github.com/Yida-Lin/libxdf
+Rules-Requires-Root: no
 
 Package: libxdf0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -25,6 +27,7 @@
 
 Package: libxdf-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libxdf0 (= ${binary:Version}),
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,5 @@
 	d-shlibmove --commit \
 		    --multiarch \
 		    --devunversioned \
-		    --movedev *.h usr/include \
-		    obj*/*.so
+		    --exclude-la \
+		    debian/tmp/usr/lib/*/*.so

## libxdf 0.99.8+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.7)
-set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
+set(CMAKE_OSX_DEPLOYMENT_TARGET 10.13)
 
 project(libxdf
-        VERSION 0.99.6
+        VERSION 0.99.8
         DESCRIPTION "C++ library for loading multimodal, multi-rate signals stored in XDF files."
         HOMEPAGE_URL https://xdf-modules.github.io/libxdf/)
 
@@ -53,7 +53,7 @@
 install(EXPORT "${PROJECT_NAME}Config"
 	COMPONENT ${PROJECT_NAME}
 	NAMESPACE "XDF::"
-	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}
+	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
 )
 
 # set(CPACK_STRIP_FILES ON)

=== debian/changelog ===
libxdf (0.99.8+dfsg-2) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 12:11:52 +0100

libxdf (0.99.8+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:23:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake,
                d-shlibs,
                libpugixml-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libxdf
 Vcs-Git: https://salsa.debian.org/med-team/libxdf.git
 Homepage: https://github.com/Yida-Lin/libxdf

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/0\.991/0.99.1/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/Yida-Lin/libxdf/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
